<template>
    <div class="comments-section pt-3">
        <h2>Comments</h2>

        <comment-form
            v-if="show">
        </comment-form>
        <comment-list>
        </comment-list>
    </div>
</template>

<script>
    import CommentForm from './CommentForm'
    import CommentList from './CommentList'

    export default {
        components: {
            CommentList,
            CommentForm,
        },
        name: "comments",
        props: [
            'postOwnerId'
        ],
        data() {
            return {
                show: true,
            }
        },
        computed: {
            currentUser() {
                return this.$store.getters.currentUser;
            }
        },
        mounted() {

            this.show = (this.currentUser !== null);
        }
    }
</script>
